PHP8.0环境详细安装教程



  • 💂 个人主页: IT学习日记
  • 🤟 版权: 本文由【IT学习日记】原创、在CSDN首发、需要转载请联系博主
  • 💬 如果文章对你有帮助、欢迎关注、点赞、收藏(一键三连)和订阅专栏哦
  • 💅 想寻找共同成长的小伙伴,请点击【技术圈子

一、PHP环境安装流程

  说明:最近在搭建个人网站,环境有用到PHP,特此记录。本文安装案例是以PHP8.0.0版本为示例,开始安装前建议先将第三步骤抛出异常的依赖安装,这样安装的时候就无需逐个解决问题。

1、下载PHP包(在线或者压缩包方式都可)

  建议:提前创建好压缩包地址,方便后续对文件管理,下载地址:https://www.php.net/downloads.php

  在线下载(如果网速很慢,则离线下载上传到服务器):wget https://www.php.net/distributions/php-8.0.0.tar.gz

  离线下载后可通过rz命令上传到服务器:rz -be 文件名

image-20220206164701929


2、解压压缩包

  执行代码:tar -xvf php-8.0.0.tar.gz

image-20220206173311010


3、指定配置信息

  说明:在执行编译之前,需要配置此次编译和安装后的文件的存放位置以及安装的一些组件,在安装前务必要清楚,如果不了解,建议直接使用本文的代码,防止出现异常问题。

  了解概念:

  1、源码安装需要经历步骤:配置(configure)、编译(make)、安装( make install )。

  2、Configure则是一个可执行文件,可以配置很多选项(可以理解为我们在Windows安装时的图像化界面的功能),可以通过./configure --help来查看选项具体含义。

  其中–prefix选项作用是配置源码安装的路径,–with-config-file-path选项作用是设置php配置文件(php.ini)的存放位置,一般来说安装的时候只需要指定这两个路径即可,其他的则是指定php支持哪一些组件了。

  3、延伸说明下指定存放路径的好处,其实可以类比在Windows等图形化系统的安装软件步骤,安装时指定软件的位置,方便后续对软件进行统一管理(删除,查找等)。

  4、注意:下面的代码必须处于同一行上,建议先复制到文本上查看是否在同一行,然后再复制到服务器中执行(否则会出现很多莫名其妙的问题,相信你也不想花上几天时间去处理)。

  至于其他参数选项的含义,可以打官方或者使用./configure --help来查看选项具体含义,建议添加自己需要的组件即可,如果不清楚,进入到解压的文件后直接执行下面的代码。

./configure --prefix=/usr/local/install/php8 --with-config-file-path=/usr/local/install/php8/etc --with-curl --with-freetype --enable-gd --with-jpeg  --with-gettext --with-kerberos --with-libdir=lib64 --with-libxml --with-mysqli --with-openssl --with-pdo-mysql  --with-pdo-sqlite --with-pear --enable-sockets --with-mhash --with-ldap-sasl --with-xsl --with-zlib --with-zip -with-bz2 --with-iconv  --enable-fpm --enable-pdo  --enable-bcmath  --enable-mbregex --enable-mbstring --enable-opcache --enable-pcntl  --enable-shmop --enable-soap --enable-sockets --enable-sysvsem --enable-xml --enable-sysvsem --enable-cli --enable-opcache --enable-intl --enable-calendar --enable-static --enable-mysqlnd

  5、配置成功后会出现下面提示:

image-20220208155945357


4、编译中可能出现的异常和解决方案

  说明,新服务器在执行configure脚本设置配置之前,需要存在的相关依赖脚本整合,下面会对每一个异常问题做具体说明:

yum install dnf
dnf install libxml2-devel
dnf install sqlite-devel
dnf -y install bzip2-devel
dnf -y install libcurl-devel
dnf -y install libpng-devel
dnf -y install libjpeg-devel
dnf -y install freetype-devel
dnf -y install libicu-devel
yum install oniguruma-devel -y
dnf -y install libxslt-devel
dnf -y install libzip-devel

  1、异常信息:

image-20220206173718813

configure: error: Package requirements (libxml-2.0 >= 2.9.0) were not met:
No package 'libxml-2.0' found

  解决方案:dnf install libxml2-devel

  2、异常信息:

image-20220206173919732

-bash: dnf: command not found

  解决方案:yum install dnf

  3、异常信息:

image-20220206174403895

configure: error: Package requirements (sqlite3 > 3.7.4) were not met:
No package 'sqlite3' found

  解决方案:dnf install sqlite-devel

  4、异常信息:

image-20220206175158134

checking for BZip2 in default path... not found
configure: error: Please reinstall the BZip2 distribution

  解决方案:dnf -y install bzip2-devel

  5、异常信息:

image-20220206175450008

configure: error: Package requirements (libcurl >= 7.29.0) were not met:
No package 'libcurl' found

  解决方案:dnf -y install libcurl-devel

  6、异常信息:

image-20220206175615010

configure: error: Package requirements (libpng) were not met:
No package 'libpng' found

  解决方案:dnf -y install libpng-devel

  7、异常信息:

configure: error: Package requirements (libjpeg) were not met:
Package 'libjpeg', required by 'virtual:world', not found

  解决方案:dnf -y install libjpeg-devel

  8、异常信息:

configure: error: Package requirements (freetype2) were not met:
Package 'freetype2', required by 'virtual:world', not found

  解决方案:dnf -y install freetype-devel

  9、异常信息:

image-20220206180127070

configure: error: Package requirements (icu-uc >= 50.1 icu-io icu-i18n) were not met:
Package 'icu-uc', required by 'virtual:world', not found
Package 'icu-io', required by 'virtual:world', not found
Package 'icu-i18n', required by 'virtual:world', not found

  解决方案:dnf -y install libicu-devel

  10、异常信息:

configure: error: Package requirements (oniguruma) were not met:
No package 'oniguruma' found

  解决方案:yum install oniguruma-devel -y

  11、异常信息:

configure: error: Package requirements (libxslt >= 1.1.0) were not met:
No package 'libxslt' found

  解决方案:dnf -y install libxslt-devel

  12、异常信息:

configure: error: Package requirements (libzip >= 0.11 libzip != 1.3.1 libzip != 1.7.0) were not met:
Package 'libzip', required by 'virtual:world', not found

  解决方案:dnf -y install libzip-devel

  13、异常信息:

configure: error: Package requirements (libzip >= 0.11 libzip != 1.3.1 libzip != 1.7.0) were not met:
Requested 'libzip >= 0.11' but version of libzip is 0.10.1

  解决方案:

  1、先删除原来的安装:yum remove libzip-devel libzip

  2、在线下载对应的版本:wget https://libzip.org/download/libzip-1.3.2.tar.gz --no-check-certificate

  4、进入解压后的文件夹,执行配置脚本:./confugure

  5、编译并安装:make & make install

  6、安装完成后,查询/usr/local/lib目录下是否有pkgconfig目录,有的话执行命令export PKG_CONFIG_PATH="/usr/local/lib/pkgconfig/"指定PKG_CONFIG_PATH,然后重新执行切换php解压之后的文件夹,执行./configure脚本即可


5、编译和安装

  配置完成后,执行make指令对源代码进行编译,执行make install指令对源代码进行安装,也可以同时执行这两个指令,具体如下(注意:编译和安装都是在解压后的php文件夹下执行-即存在configure脚本的目录):

​ 1、编译:make

image-20220208170518841

​ 2、安装:make install

image-20220208170619708

  3、出现异常:cc: internal compiler error: Killed (program cc1)

  原因:大概率是因为内存不够使用,可以先使用交换分区来解决,编译安装后再删除掉即可。

  解决:

sudo dd if=/dev/zero of=/swapfile bs=64M count=16
sudo mkswap /swapfile
sudo swapon /swapfile

  取消交换分区:

sudo swapoff /swapfile
sudo rm /swapfile

6、查看php安装情况

  切换到configure指定的安装路径的bin目录,执行版本查看:

/usr/local/install/php8/bin/php --version

  执行结果:

image-20220208170643929


二、管理各种配置文件

1、生成php.ini配置文件(在php源码压缩包目录下):

cp php.ini-production /usr/local/install/php8/etc/php.ini

2、生成www配置文件:

cd /usr/local/install/php8/etc/php-fpm.d/
cp www.conf.default www.conf

3、生成php-fpm配置文件:

cd /usr/local/install/php8/etc/
cp php-fpm.conf.default php-fpm.conf

4、生成php-fpm可执行文件:

-- 创建存放配置文件的目录
mkdir /usr/local/install/php8/fpm

-- 从源码中复制一份fpm可执行脚本
cp /usr/local/php/php-8.0.0/sapi/fpm/init.d.php-fpm /usr/local/install/php8/fpm/php-fpm

-- 将php-fpm修改为可执行文件
chmod 740 /usr/local/install/php8/fpm/php-fpm

三、管理php

说明:本文推荐使用php-fpm进行管理php程序,php-fpm(FastCGI Process Manager:FastCGI进程管理器)是一个PHPFastCGI管理器,旨在将FastCGI进程管理整合进PHP包中(来源:百度百科)。

优点:相对Spawn-FCGI,php-fpm在CPU和内存方面的控制都更胜一筹,而且前者很容易崩溃,必须用crontab进行监控,而php-fpm则没有这种烦恼。

1、启动php-fpm:

/usr/local/install/php8/fpm/php-fpm start

image-20220208180228571

2、查看php-fpm进程是否启动成功

ps aux | grep php | grep -v grep

image-20220208180409541

3、查看pfp-fpm占用的端口

ss -lntp | grep php

image-20220208180643917

4、执行php --version出现php command not found异常,解决步骤

// 1、修改配置文件
vim /etc/profile
 
//2、添加php环境变量(即configure脚本时指定的安装路径下的bin目录)
PATH=$PATH:/usr/local/install/php8/bin
export PATH
    
// 刷新配置文件
source /etc/profile
    

5、大功告成

image-20220208181510517


写在最后

  如果觉的文章有帮助,请给博主点赞、收藏、关注。 后续博主会带来更多优质、有质量的文章。

  想要学习更多知识,了解更多开源项目,请点击下面添加博主,进入技术圈子(圈子所有资源全免费,但要求加入的小伙伴要有长久兴趣,如果只是一时冲动就不推荐加入,毕竟名额有限)。

  加入技术圈子,除了遇到搭建问题免费指导,还能第一时间收到行业最新咨询和认识各专业大佬!

白色简约动画引导关注


原文连接:https://blog.csdn.net/qq_40891009/article/details/122932986

相关推荐

Flask框架——消息闪现

34个图片压缩工具集合,包含在线压缩和CLI工具

入门即享受!coolbpf 硬核提升 BPF 开发效率 | 龙蜥技术

基于 OPLG 从 0 到 1 构建统一可观测平台实践

全链路灰度在数据库上我们是怎么做的?

冴羽答读者问:过程比结果重要吗?如果是,怎么理解?如果不是,又怎么解?

接口文档管理工具,选yapi 还是 Apifox? 这里列出了两款软件的深度分析,看完再下载不迟。

基于 Docker 来部署 Vue 或 React 前端项目及 Node 后端服务

三十岁的我,自由了!

如何实现带timeout的input?

统计千行代码Bug率,有没有意义?

814. 二叉树剪枝 : 简单递归运用题

【综合笔试题】难度 3.5\u002F5,多解法热门二叉树笔试题

为什么设计的软件不好用?那是因为不熟悉软件开发模型!一文熟悉软件开发模型

作为前端,我是这样从零实现CI\u002FCD二(node服务部署及前后端联调)

极智开发 | 讲解 Nginx 特性之一:反向代理

Netty 案例之 IM 方案设计

从 Google 离职,前Go 语言负责人跳槽小公司

最终一致性性分布式事务 TCC

不谈源码,聊聊位运算的实际应用